Skip to main content
GET
/
v1
/
receipts
/
{receiptId}
Verify a receipt globally
curl --request GET \
  --url https://lodger.dev/v1/receipts/{receiptId} \
  --header 'Authorization: Bearer <token>'
{
  "receipt": {
    "accepted": true,
    "eventId": "<string>",
    "receipt": "<string>",
    "eventHash": "<string>",
    "previousHash": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "actor": {
      "id": "<string>",
      "email": "<string>"
    },
    "target": {
      "id": "<string>",
      "type": "<string>",
      "name": "<string>"
    },
    "verificationUrl": "<string>",
    "queued": true,
    "receivedAt": "2023-11-07T05:31:56Z",
    "provenance": {},
    "policyVersion": 123
  },
  "entry": {
    "workspaceId": "<string>",
    "projectId": "<string>",
    "action": "<string>",
    "actor": {
      "id": "<string>",
      "email": "<string>"
    },
    "target": {
      "id": "<string>",
      "type": "<string>",
      "name": "<string>"
    },
    "occurredAt": "2023-11-07T05:31:56Z",
    "metadata": {},
    "userVisible": true,
    "id": "<string>",
    "sequence": 123,
    "hash": "<string>",
    "previousHash": "<string>",
    "receipt": "<string>",
    "lane": "<string>",
    "storageTier": "<string>",
    "integrity": "<string>"
  },
  "verified": true
}

Authorizations

Authorization
string
header
default:lodger_sk_your_key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

receiptId
string
required
Example:

"rcpt_093a339cc2c2ffed"

Response

Receipt verification result.

receipt
object
required
entry
object
required
verified
boolean
required